/**
 * DocHello.java by Richard J. Davies
 * from `Introductory Java for Scientists and Engineers'
 * chapter: `Advanced Java'
 * section: `Javadoc'
 *
 * This is a fully documented <TT>Hello World</TT> program.
 * Use `javadoc' on it to generate the HTML documentation.
 *
 * @author Richard J. Davies
 * @version 1.0
 */
public class DocHello
{
  /**
   * This is the message used by the main method
   *
   * @see DocHello#main
   */
  public static final String message = "Hello world";


  /**
   * This is the main method which actually
   * prints the message on screen
   *
   * @param argv Required argument for interpreter
   * @return nothing
   */
  public static void main(String[] argv)
  {
    System.out.println(message);
  }
}
