/*
 * Function.java by Richard J. Davies
 * from `Introductory Java for Scientists and Engineers'
 * chapter: `Advanced Java'
 * section: `Example - Minimizing over a Region'
 *
 * This program is intended to demonstrate use of multiple .java files,
 *  packages and import. The main program is in Minimize.java.
 */
package minimize.partone;

public class Function
{
  // This is the function whose value we are
  // trying to minimize.
  public static double evaluate(double x, double y)
  {
    return (x-0.5)*(x-0.5) + 3*y*(y-1);
  }
}
