/*
 * Region.java by Richard J. Davies
 * from `Introductory Java for Scientists and Engineers'
 * chapter: `Advanced Java'
 * section: `Example - Minimizing over a Region'
 *
 * This program is intended to demonstrate use of multiple .java files,
 *  packages and import. The main program is in Minimize.java.
 */
package minimize.parttwo;

public class Region
{
  // isInside returns if a point is inside the
  // region or not.
  public static boolean isInside(double x, double y)
  {
    if (x*x + y*y < 1.0/4)
      return true;
    else
      return false;
  }
}
